Exchange Server 2003 - Managing Active Directory Connector

Exchange Server 2003
Managing Active Directory Connector

Version: June 2003

Microsoft Active Directory Connector (ADC) replicates directory information between the Exchange 5.5 directory and Active Directory.

Answers to Frequently Asked Questions

How do I create a Connection Agreement that replicates directory information between the Exchange 5.x directory and Active Directory?

The most reliable way to set up and configure connection agreements is to use ADC Tools, which is a set of wizards and tools that help you correct resource mailbox problems, create connection agreements, and verify replication between the Exchange 5.5 directory and Active Directory. More...

What is the difference between public folder or recipient Connection Agreements and Configuration Connection Agreements?

Public folder and recipient Connection Agreements are used to synchronize Active Directory objects between Active Directory and the Exchange 5.5 directory. Configuration Connection Agreements are automatically created to synchronize configuration information between computers running Exchange 2003 and Exchange 5.5 sites.

When does ADC use the most resources, and how can I prepare for it?

When ADC is running, it can use the majority of the processing power of the server. This consumption level is constant until all replication is complete; however, the load placed on the bridgehead servers is low compared to the load placed on the server running ADC.

I want to change the objects that are replicated to Active Directory by default, and I also want to customize the rules used to match directory objects. Can I do this?

When replicating directory information using a Connection Agreement, you can use a policy to set the attributes that are replicated. You can also customize object matching rules. More...

How do I monitor ADC?

You can monitor ADC by reviewing the logging events in Windows Event Viewer. You should monitor the activities of each Connection Agreement to ensure that proper directory replication is accomplished. Monitoring should be a part of your regularly scheduled maintenance. Regular maintenance helps you keep directory replication performing optimally, and can help you keep failures and errors to a minimum.

Get latest Exchange content at http://www.microsoft.com/exchange/library.
Send feedback about this page Send feedback about this page.


Exchange Server 2003 - Install Active Directory Connector

Install Active Directory Connector

Run Active Directory Connector (ADC) Installation Wizard to install ADC.

Important You must be an Enterprise Administrator to run ADC Setup.

Before starting Active Directory Connector Installation Wizard, close any applications you are running to avoid damaging system files or shared files.

  1. Insert the Exchange Server 2003 CD-ROM into your CD-ROM drive.
  2. From the Exchange CD-ROM, open the ADC folder, open the I386 folder, and then double-click Setup.exe.

Important If you have previously installed any components of ADC, the Remove All option is available. Clicking Remove All deletes the Connection Agreements hosted on this server. If you do this, you must rehost the Connection Agreements on another server if you want to preserve them.

Note ADC contains the Active Directory Connector Sites and Services and the Active Directory Connector Management components. You should install only a single instance of Active Directory Connector Sites and Services on the computer running Windows; however, you can install as many instances of the Active Directory Connector Management snap-in as are necessary to provide adequate management.


Exchange Server 2003 - Use ADC Tools

Coexisting with Previous Versions

Use ADC Tools

ADC Tools help you correct resource mailbox problems, create connection agreements, and verify replication between the Exchange 5.5 directory and Active Directory. ADC Tools consist of the following tools and wizards:

  • Step 1: Tool Settings allows you to set the Exchange 5.5 server, LDAP port, and log file path for ADC Tools.
  • Step 2: Data Collection scans your Exchange 5.5 directory and Active Directory and gathers data for use in subsequent steps.
  • Step 3: Resource Mailbox Wizard allows you to match Active Directory accounts to the appropriate primary mailboxes and stamp other mailboxes with the NTDSNoMatch attribute, which designates the mailboxes as resource mailboxes.
  • Step 4: Connection Agreement Wizard recommends connection agreements based on object matching data collected in step 1. You can review the list of recommended connection agreements and select those you want the wizard to create.

To start ADC Tools

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the console tree, click ADC Tools.


Exchange Server 2003 - Set Up a Connection Agreement

Set Up a Connection Agreement

Before directory replication can be performed, you must configure a recipient or public folder Connection Agreement to define the type of connection, type of authentication, and server names.

To set up a Connection Agreement:

  1. Create a Connection Agreement
  2. Select a Replication Direction
  3. Select a Server to Run the Connection Agreement
  4. Select the Bridgehead Servers
  5. Select an Authentication Type
  6. Specify Authentication Credentials
  7. Select Exchange to Windows Replication Options
  8. Select Windows to Exchange Replication Options
  9. Select Rules for Deleting Items
  10. Set Up a Replication Schedule

Note It is important to ensure that directory replication is successful. After the replication from Exchange to Windows has taken place, verify that the replication was successful by examining the Active Directory objects in Active Directory Users and Computers. After the replication from Windows to Exchange has taken place, verify that the replication was successful by examining the Exchange Directory objects from the Exchange Administrator program.

You can also verify replication using Windows Event Viewer. You choose which replication events to log from the Active Directory Connector console.

Related Topics

Install Active Directory Connector


Exchange Server 2003 - Create a Connection Agreement

Create a Connection Agreement

To create a Connection Agreement:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the console tree, click Active Directory Connector.
  3. On the Action menu, point to New, and then click Recipient Connection Agreement or Public Folder Connection Agreement to display the Properties dialog box.
  4. On the General tab, in Name, type a name for the Connection Agreement. If you use the symbols /,\,+,<,>,&,^,|,[, ] to create a Connection Agreement, they will not appear if you view the names of your Connection Agreements from Windows Explorer; for example, a Connection Agreement called CA+[Test] appears as CA Test in Windows Explorer because + and [] are not valid characters.

Related Topics

Set Up a Connection Agreement


Exchange Server 2003 - Select a Replication Direction

Select a Replication Direction

For recipient Connection Agreements, you can choose the direction of replication based on the directory management requirements of your organization. You can select one-way or two-way replication. During one-way replication, directory information is replicated from Exchange to Windows or from Windows to Exchange. During two-way replication, directory information is replicated to and from both directories.

Note All public folder Connection Agreements require two-way replication. The direction is automatically selected when you create a public folder Connection Agreement, and you cannot change it.

To select a replication direction:

  1. If you have not yet opened the Connection Agreement in Active Directory Connector, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to set a replication direction
      3. .
  2. On the General tab, under Replication direction, click one of the following replication directions:
    • To perform a two-way replication, click Two-way.

      • By default, objects are first replicated from Exchange to Windows. To update the Exchange directory first, on the Advanced tab, in Initial replication direction for two-way Connection Agreements, select From Windows.

    • To update the Windows directory, click From Exchange to Windows.
    • To update the Exchange directory, click From Windows to Exchange.

Note To have the option of adding Exchange mailboxes when creating new users in Active Directory Users and Computers, you must configure a two-way Connection Agreement or a one-way Connection Agreement from Windows to Exchange. A one-way Connection Agreement from Exchange to Windows does not provide you with the option of adding a mailbox for the user because one already exists.

Related Topics

Set Up a Connection Agreement


Exchange Server 2003 - Select a Server to Run the Connection Agreement

Select a Server to Run the Connection Agreement

To select a server to run the Connection Agreement:

  1. If you have not yet opened the Connection Agreement in Active Directory Connector, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to select a server.
  2. On the General tab, under Active Directory Connector Service, select the server you want to run the Connection Agreement.

Related Topics

Set Up a Connection Agreement


Exchange Server 2003 - Select the Bridgehead Servers

Select the Bridgehead Servers

For each Connection Agreement, you need to define a bridgehead server in both directories. In Active Directory, the bridgehead server must be a domain controller. In the Exchange directory, the bridgehead server must be running Exchange 5.5 Service Pack 1 (SP1) (SP4 is recommended). ADC uses the directories on the bridgehead servers for replicating directory information.

To select the bridgehead servers:

  1. If you have not yet opened the Connection Agreement in ADC, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to select the servers.
      3. .
  2. On the Connections tab, under Windows Server information, type the name of the Windows 2000 Server used in this Connection Agreement. (The specified server must be the domain controller containing the schema.)
  3. Under Exchange Server information, type the name of the Exchange 5.5 server running 5.5 SP1 (SP4 recommended) to use in this Connection Agreement.

Related Topics

Set Up a Connection Agreement


Exchange Server 2003 - Select an Authentication Type

Select an Authentication Type

You can set the type of authentication you want to use for each Connection Agreement.

To select an authentication type:

  1. If you have not yet opened the Connection Agreement in Active Directory Connector, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to select an authentication type
      3. .
  2. On the Connections tab, under Windows Server information, in Authentication, select one of the following authentication types:
    • Kerberos
      Enable authentication using Windows network security.
    • Kerberos using SSL
      Enable authentication using Windows network security through a Secure Sockets Layer (SSL)-encrypted channel.
    • Basic (Clear-Text) using SSL
      Enable authentication using clear text through an SSL-encrypted channel.
  3. Under Exchange Server information, in Authentication, select one of the following authentication types:
    • Windows Challenge/Response
      Enable authentication using Windows network security.
    • Windows Challenge/Response using SSL
      Enable authentication using Windows network security through an SSL-encrypted channel.
    • Basic (Clear-Text) using SSL
      Enable authentication using clear text through an SSL-encrypted channel.


Exchange Server 2003 - Specify Authentication Credentials

Specify Authentication Credentials

For each Connection Agreement, you must specify authentication credentials. You do this after you have selected the authentication type for the bridgehead servers. The account you enter allows you to connect to the necessary Exchange 5.5 and Windows directories.

The permissions account defined for each bridgehead server only requires write permissions for its directory if the bridgehead server is writing changes to this directory. For example:

In a two-way replication, the specified Exchange and Windows authentication type and credentials must be able to write to and read from the Exchange directory and Active Directory. In a one-way replication, the authentication type and credentials must have read access to the export directory from which the information is replicated from and write access to the import directory to which the information is replicated.

To select the account names to use in the Connection Agreement:

  1. If you have not yet opened the Connection Agreement in Active Directory Connector, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to set an account name.
  2. On the Connections tab, under Windows Server information, click Modify to specify the account name to use for Windows server replication.
  3. In Connect as, type or select the account name in the form appropriate for the type of authentication you specified. Then, in Password, type the password.
    4. Authentication Type | Account Name Form
Windows Challenge/Response | <domain name>\<account name> For example: London\DavidC
Basic (Clear-Text) | CN=<account name>,OU=<organizational unit>,DC=<domain> For example: CN=DavidC,OU=Admin,OU=Europe,DC=Contoso,DC=Com
  4. In Exchange Server information, click Modify to specify the account name to use for Exchange server replication.
  5. In Connect as, type or select the account name in the form appropriate for the type of authentication you specified. Then, in Password, type the password.

    6. Authentication Type | Account Name Form
Windows Challenge/Response | <domain name>\<account name> For example: London\DavidC
Basic (Clear-Text) | CN=<account name>,DC=<NT domain name> For example: CN=DavidC,DC=London

    Note When replicating information from Exchange, you must include the domain name regardless of the type of authentication you use.

    Related Topics

    Set Up a Connection Agreement


Exchange Server 2003 - Select Exchange to Windows Replication Options

Select Exchange to Windows Replication Options

In recipient Connection Agreements, you must specify the location of the Exchange directory container or containers participating in the Connection Agreement. In addition, you can specify the object types that are replicated. Active Directory uses object matching rules to match up the Exchange objects with any objects that already exist within the entire Windows enterprise.

In public folder Connection Agreements, ADC automatically specifies these options. It assigns the Exchange 5.5 container that holds public folder objects as the participating Exchange container and a corresponding default Windows destination. It automatically selects public folders as the objects for replication.

For recipient Connection Agreements, if this Connection Agreement is a primary Connection Agreement, you must specify a destination container for the new objects added to Active Directory from Exchange.

Note Before you can specify the location of the Exchange directory containers to use when updating the Windows directory, you must configure your Connection Agreement to replicate from Exchange to Windows.

To select Exchange to Windows replication options for a recipient Connection Agreement:

  1. If you have not yet opened the Connection Agreement in ADC, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to select replication objects.
  2. For recipient Connection Agreements, on the From Exchange tab, under Exchange recipients containers, click Add. For public folder Connection Agreements, ADC selects the container and you cannot change it.
  3. In the Choose a container dialog box, select the container or containers in the Exchange directory that you want to replicate. Click OK.
  4. If this Connection Agreement is a primary recipient Connection Agreement, specify the destination for Exchange objects that are not matched to existing Active Directory objects. In Default destination, click Modify, and then select the appropriate Active Directory container.

  5. If the containers you selected contain multiple objects, select the types of objects you want replicated to Windows. Under Select the objects that you want to replicate, select the types of objects you want to replicate.

Note After the scheduled replication occurs, verify that the replication was successful by examining the Active Directory objects in Active Directory Users and Computers.

Related Topics

Select a Replication Direction Designate a Primary Connection Agreement


Exchange Server 2003 - Select Windows to Exchange Replication Options

Select Windows to Exchange Replication Options

In recipient Connection Agreements, you must specify the location of the Active Directory container or containers participating in the Connection Agreement. ADC uses object matching rules to match up Active Directory objects with any objects that already exist within the entire Exchange 5.5 organization.

In public folder Connection Agreements, ADC automatically specifies these options. It assigns the Exchange 5.5 container that holds public folder objects as the participating Exchange container and a corresponding default Windows destination. It automatically selects public folders as the objects for replication. You cannot change any of these fields.

If this Connection Agreement is a primary Connection Agreement, you must specify a destination container for the new objects added to Active Directory from Exchange.

Note Before you can specify the Windows organizational units to use when updating the Exchange directory, you must configure your Connection Agreement to replicate from Windows to Exchange.

To select Windows to Exchange replication options for a recipient Connection Agreement:

  1. If you have not yet opened the Connection Agreement in Active Directory Connector, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to select replication objects.
  2. On the From Windows tab, under Windows Organizational Units, click Add.
  3. In the Choose a container dialog box, click the export container or containers in Active Directory that you want to replicate, and then click OK.
  4. If this Connection Agreement is a primary Connection Agreement, specify the destination for Active Directory objects that are not matched up to existing Exchange 5.5 Directory objects. In Default destination, click Modify, and then select the appropriate Active Directory container.
  5. If the containers you selected contain multiple objects, select the types of objects you want replicated to Exchange. Under Select the objects that you want to replicate, select the types of objects you want to replicate.
  6. Select Replicate secured Active Directory objects to the Exchange directory to allow Active Directory objects to be replicated to the Exchange directory.
  7. For recipient Connection Agreements, select Create objects in location specified by Exchange 5.5 DN to use the Exchange 5.5 distinguished name to determine the appropriate location for the object in Active Directory. For public folder Connection Agreements, Create objects in location specified by Exchange 5.5 DN is selected by default and you cannot change it.

Note After the scheduled replication occurs, verify that the replication was successful by examining the Exchange directory objects from the Exchange Administrator program.

Related Topics

Select a Replication Direction Designate a Primary Connection Agreement Replicate Secured Objects to the Exchange Directory


Exchange Server 2003 - Select Rules for Deleting Items

Select Rules for Deleting Items

By default, objects deleted in one directory are deleted in the partner directory. A record of the deletion is stored in a file on the server running ADC. The default location for this file is:

<SystemRoot>\MSADC\MSADC\<Connection Agreement Name>\<Filename>

Exchange deletions are recorded in the Ex55.csv file, and Active Directory deletions are recorded in the Win2000.ldf file.

You can also choose to have the corresponding object deleted.

Caution Carefully consider the consequences of replicating deletions; for example, you may not want to automatically delete an Exchange mailbox when its corresponding Active Directory object is deleted.

Note For public folder Connection Agreements, you cannot change any of the deletion options.

To select rules for deleting items:

  1. If you have not yet opened the Connection Agreement in ADC, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to select rules for deleting items.
  2. On the Deletion tab, under When replicating deletions from the Windows Active Directory, select one of the following:
    • Delete the Exchange mailboxes, custom recipients and distribution lists
      Click this option to delete any user account deleted in Active Directory from the Exchange directory.
    • Keep the Exchange deleted items and store the deletion list in the temporary .CSV file

      Click this option to store the list of deleted items in a common comma-separated value (CSV) file. Information is appended to this file as replication occurs. The log file is located in <SystemRoot>\Program Files\MSADC\MSADC\<Connection Agreement name>\ex55.csv. No checking or maintenance is performed on the LocalToRemote directory; therefore, you must ensure that adequate disk space is available for the file. If the file is no longer needed, you can remove it to increase the amount of space available on the disk.

  3. Under When replicating deletions from the Exchange directory, select one of the following:
    • Delete the Windows users accounts, contacts and groups
      Click this option to delete any user account deleted in the Exchange directory from Active Directory.
    • Keep the Windows deleted items and store the deletion list in the temporary LDF file

      Click this option to store the deletions performed in Exchange as a list of deletions in an LDF formatted file. Information is appended to this file as replication occurs. The log file is located in <SystemRoot>\Program Files\MSADC\MSADC\<Connection Agreement name>\Win2000.ldf. No checking or maintenance is performed on the <Connection Agreement name> directory; therefore, you must ensure that adequate disk space is available for the file. If the file is no longer needed, you can remove it to increase the amount of space available on the disk.

    Note To review the deletions list, open the log file in Notepad, or, for .csv applications you can use a spreadsheet application.

    To update Active Directory with the deletions recorded in the log file, use the LDIF Directory Synchronization Bulk Import/Export tool (Ldifde.exe) found in the <SystemRoot>\WINNT\System32 directory.

Related Topics

Set Up a Connection Agreement


Exchange Server 2003 - Set Up a Replication Schedule

Set Up a Replication Schedule

You can set the days and times that a Connection Agreement polls the bridgehead servers for directory changes to replicate. The first time replication occurs, the entire directory is replicated by default. By default, polling takes place approximately every five minutes during scheduled times that you specify. Polling checks for changes in each directory defined in the Connection Agreement.

To set up a replication schedule:

  1. If you have not yet opened the Connection Agreement in ADC, do the following:
    1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
    2. In the details pane, double-click the Connection Agreement for which you want to schedule replication.
  2. On the Schedule tab, click Never, Always, or Selected times.
    • Click Never to disable the Connection Agreement.
    • Click Always to enable automatic replication whenever the source directory changes.
    • Click Selected times to configure replication times. Click the boxes in the schedule that correspond to the time(s) and date(s) you want to replicate the directories.

    For example, to schedule replication for every Wednesday at 6:00 P.M., click Selected times, and then click the schedule grid in the box that corresponds to 6:00 P.M. vertically and Wednesday horizontally.

  3. Under Detail view, click 1 hour to display the schedule in 1-hour intervals, or 15 Minute to display the schedule in 15-minute intervals.

Note After initial replication, ADC only replicates changes that occur between directories. To replicate the entire directory at a later time, click Replicate the entire directory the next time the agreement is run.

Related Topics

Set Up a Connection Agreement Initiate an Unscheduled Replication


Exchange Server 2003 - Customize Connection Agreement Settings

Customize Connection Agreement Settings

There are several ways you can customize settings for Connection Agreements.

To customize existing Connection Agreements, you can:

  • Designate a Primary Connection Agreement
  • Specify Replication Page Sizes
  • Specify an Alternative LDAP Port Number
  • Choose which Replication Events to Log

Related Topics

Choose Replication Options Set Up a Connection Agreement


Exchange Server 2003 - Designate a Primary Connection Agreement

Designate a Primary Connection Agreement

Primary Connection Agreements replicate existing directory objects and create new directory objects in the destination directory. A Connection Agreement that is not primary replicates information only to pre-existing objects.

Important To ensure new objects are created, Connection Agreements are designated as primary Connection Agreements by default.

To modify the primary Connection Agreement settings for a Connection Agreement:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the details pane, double-click the Connection Agreement for which you want to select replication options.
  3. On the Advanced tab, do one or both of the following:

    • Select or clear This is a Primary Connection Agreement for the connected Exchange Organization.

      Select this option to specify which Connection Agreement will create new directory objects in the Exchange directory when ADC determines that no matching objects exist. If this option is not selected, the Connection Agreement does not create new objects in the Exchange directory, but replication between existing objects still occurs.

      Note Public folder Connection Agreements are always primary Connection Agreements for the Exchange organization, and you cannot change this setting.

    • Select or clear This is a Primary Connection Agreement for the connected Windows Domain.

      Select this option to specify which Connection Agreement creates new directory objects in Active Directory when ADC determines that no matching objects exist. If this option in not selected, the Connection Agreement does not create any new objects in Active Directory, but replication between existing objects still occurs. You can configure what type of object is created when you replicate a mailbox that does not have a primary Windows account.

Important Only designate one Connection Agreement as the primary Connection Agreement for each container in an Exchange organization or Windows domain. If you designate more than one primary Connection Agreement, duplicate accounts may be created in the destination directories.

Related Topics

Customize Connection Agreement Settings


Exchange Server 2003 - Specify Replication Page Sizes

Specify Replication Page Sizes

Paging provides a method to improve replication performance by grouping objects to be replicated before each request for replication. More entries per page causes fewer requests but requires more memory.

To specify replication page sizes:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the details pane, double-click the Connection Agreement you want to modify.
  3. On the Advanced tab, under Paged results, designate the number of entries per page you want to use during replication.
    • In Windows Server entries per page, type the number of entries you want to use when replicating from Windows.
    • In Exchange Server entries per page, type the number of entries you want to use when replicating from Exchange.

    Important The page size for Exchange should not exceed the Lightweight Directory Access Protocol (LDAP) search results setting on your Exchange server. If you set the page size to zero, paging will not occur.

Related Topics

Customize Connection Agreement Settings


Exchange Server 2003 - Specify an Alternative LDAP Port Number

Specify an Alternative LDAP Port Number

You can specify the Lightweight Directory Access Protocol (LDAP) port number.

To specify an alternative LDAP port number:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the details pane, double-click the Connection Agreement for which you want to specify an alternative port number.
  3. On the Connections tab, under Port, type an alternative LDAP port number.

Related Topics

Customize Connection Agreement Settings


Exchange Server 2003 - Choose which Replication Events to Log

Choose which Replication Events to Log

You can change logging levels and select logging categories for ADC. Each logging category provides informational messages, warning messages, and error messages. Use the following procedure to configure diagnostic logging:

  1. On the Start menu, point to Programs, point to Administrative Tools, and and then click Active Directory Connector.
  2. In the console tree, right-click Active Directory Connector, and then click Properties.
  3. On the Diagnostics Logging tab, under Category, select a category that you want to log, and then select a Category Logging Level. Repeat this step for each category that you want to log.


Exchange Server 2003 - Choose Replication Options

Choose Replication Options

There are a several ways you can customize replication settings. Use these procedures to ensure your Connection Agreements are configured appropriately:

  • Replicate Secured Objects to the Exchange Directory
  • Replicate a Mailbox that Doesn't Have a Primary Windows Account in the Domain
  • Establish an Inter-Organizational Connection Agreement
  • Initiate an Unscheduled Replication

Related Topics

Set Up a Connection Agreement Customize Connection Agreement Settings


Exchange Server 2003 - Replicate Secured Objects to the Exchange Directory

Replicate Secured Objects to the Exchange Directory

You can replicate secured Active Directory objects to the Exchange directory. Secured Active Directory objects are Active Directory objects that contain an explicit Deny Access Control Entry (ACE). By default, secured Active Directory objects are not replicated to the Exchange directory because Deny permissions are not represented for objects in the Exchange directory.

To replicate secured objects to the Exchange directory:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the details pane, double-click the Connection Agreement for which you want to select replication objects.
  3. On the From Windows tab, select the Replicate secured Active Directory objects to the Exchange directory check box.

Related Topics

Choose Replication Options


Exchange Server 2003 - Replicate a Mailbox that Doesn't Have a Primary Windows Account in the Domain

Replicate a Mailbox that Doesn't Have a Primary Windows Account in the Domain

You can specify the action that is taken when replicating mailboxes whose primary Windows account does not exist in the Active Directory domain. By default, a disabled Windows user account is created.

Important This setting applies only to primary Connection Agreements because only primary Connection Agreements can create new objects. Because only one Connection Agreement creates objects, duplicate directory objects are kept to a minimum.

To specify the action taken when replicating mailboxes whose primary Windows account do not exist in the Active Directory domain:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the details pane, double-click the Connection Agreement that replicates the directory for that domain.
  3. On the Advanced tab, in When replicating a Mailbox whose primary Windows account does not exist in the Domain, click one of the following options:
    • Create a disabled Windows user account. A user account that does not permit logons.
    • Create a new Windows user account. A record that consists of all the information that defines a user to Microsoft Windows 2000. It creates a new user account in the Windows 2000 directory that includes the membership groups and the rights and permissions for the user.
    • Create a Windows contact. A pointer to a foreign address or a recipient outside the organization.

Related Topics

Choose Replication Options Designate a Primary Connection Agreement


Exchange Server 2003 - Establish an Inter-Organizational Connection Agreement

Establish an Inter-Organizational Connection Agreement

You can configure a recipient Connection Agreement to replicate objects between two organizations. For example, if you are replicating information between an Exchange 5.5 server in one organization and Active Directory, which contains a different Exchange 2003 organization (or no Exchange 2003 organization), you must configure the Connection Agreement as an inter-organizational Connection Agreement.

Important This option is not available for public folder Connection Agreements.

An example in which you would not select this options is if you're installing an Exchange server into an existing Exchange 5.5 site. In this case, the Exchange 2003 organization is the same as the Exchange organization.

Note By default, this option is not selected.

To establish an inter-organizational Connection Agreement:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the details pane, double-click the Connection Agreement for which you want to choose replication options.
  3. On the Advanced tab, select the This is an Inter-Organizational Connection Agreement check box.
    • When this option is selected, ADC is not restricted and replicates Exchange 2003 mailboxes as custom recipients in Exchange.
    • When this option remains cleared, ADC restricts the Exchange mailboxes it replicates to the Exchange 5.5 directory. In addition, those Exchange 2003 mailboxes are represented as mailboxes in the Exchange 5.5 directory.

Related Topics

Choose Replication Options


Exchange Server 2003 - Initiate an Unscheduled Replication

Initiate an Unscheduled Replication

You can replicate directory information without waiting for the scheduled replication cycle to occur.

To initiate an unscheduled replication:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the details pane, right-click the Connection Agreement for which you want to initiate replication, point to All Tasks, and then click Replicate Now.

Note Replication speed varies depending on the complexity of the domains and number of servers. It may take a few minutes before the results are visible.

Related Topics

Choose Replication Options Set Up a Replication Schedule


Exchange Server 2003 - Set a Default Policy for Replication

Set a Default Policy for Replication

When replicating directory information using a Connection Agreement, you can set the default attributes that are replicated using a policy. You can also customize object matching rules. A policy allows you to configure settings that are shared across multiple Connection Agreements.

This section contains the following topics:

  • Select Attributes To Be Replicated
  • Customize Object Matching Rules


Exchange Server 2003 - Select Attributes To Be Replicated

Select Attributes To Be Replicated

When replicating directory information, you can select the attributes that you want Exchange to replicate.

Note By default, all available attributes are replicated.

To select the attributes to be replicated for all Connection Agreements:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the console tree, right-click Active Directory Connector Management, and then click Properties.
  3. Click either the From Exchange tab or the From Windows tab, depending on the direction to which you want to replicate information. If you are performing a two-way replication, you must select attributes on both tabs.
  4. From the list of attributes, select the ones you want to be replicated by default for your Connection Agreements.

Note Attributes you select affect all Connection Agreements. If you clear attributes on Exchange, also clear the same attributes in Windows 2000.

Related Topics

Set a Default Policy for Replication


Exchange Server 2003 - Customize Object Matching Rules

Customize Object Matching Rules

When replicating directory information using a Connection Agreement, you can customize the object matching rules used during replication.

Note By default, objects are matched by globally unique identifier (GUID), legacyExchange DN, and primary Windows NT account. If no match is found or if these objects are unavailable, the replication creates a new object in the directory.

To customize object matching rules:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the console tree, right-click Active Directory Connector Management, and then click Properties.
  3. Click either the From Exchange tab or the From Windows tab, depending on the direction to which you want to replicate information. If you are performing a two-way replication, you must select object matching rules on both tabs.
  4. Click Add to add a new rule.

    Note Be sure to enter the criteria in both the From Exchange and From Windows tabs if you have two-way Connection Agreements. This ensures that ADC replicates to the same object in both locations.

  5. To change the order of the new rules you have created, select a rule, and click Up or Down.

Related Topics

Set a Default Policy for Replication


Exchange Server 2003 - Managing Active Directory Connector

Version: June 2003

Microsoft Active Directory Connector (ADC) replicates directory information between the Exchange 5.5 directory and Active Directory.

Answers to Frequently Asked Questions

How do I create a Connection Agreement that replicates directory information between the Exchange 5.x directory and Active Directory?

The most reliable way to set up and configure connection agreements is to use ADC Tools, which is a set of wizards and tools that help you correct resource mailbox problems, create connection agreements, and verify replication between the Exchange 5.5 directory and Active Directory. More...

What is the difference between public folder or recipient Connection Agreements and Configuration Connection Agreements?

Public folder and recipient Connection Agreements are used to synchronize Active Directory objects between Active Directory and the Exchange 5.5 directory. Configuration Connection Agreements are automatically created to synchronize configuration information between computers running Exchange 2003 and Exchange 5.5 sites.

When does ADC use the most resources, and how can I prepare for it?

When ADC is running, it can use the majority of the processing power of the server. This consumption level is constant until all replication is complete; however, the load placed on the bridgehead servers is low compared to the load placed on the server running ADC.

I want to change the objects that are replicated to Active Directory by default, and I also want to customize the rules used to match directory objects. Can I do this?

When replicating directory information using a Connection Agreement, you can use a policy to set the attributes that are replicated. You can also customize object matching rules. More...

How do I monitor ADC?

You can monitor ADC by reviewing the logging events in Windows Event Viewer. You should monitor the activities of each Connection Agreement to ensure that proper directory replication is accomplished. Monitoring should be a part of your regularly scheduled maintenance. Regular maintenance helps you keep directory replication performing optimally, and can help you keep failures and errors to a minimum.


Exchange Server 2003 - Export and Import Lists of Accounts

Step 3: Export and Import Lists of Accounts

Active Directory Account Cleanup Wizard allows you to import and export lists of accounts you want to merge. Depending on the size of your search and the number of duplicate accounts in Active Directory, it may take more than a few minutes to identify, review, and merge the duplicate accounts the list contains.

Note It is important to review the list of merge operations prior to merging accounts.

You can search for a list of duplicates accounts, export that list into a .csv file, and review and modify that list as necessary outside of Active Directory Account Cleanup Wizard. When you are ready to continue your directory cleanup, you can import the list of merge operations back to Active Directory Account Cleanup Wizard and complete the task.

Exporting and importing lists of accounts is useful for the following reasons:

  • If you have just completed a search for duplicate accounts and you do not have time to review and then run the merge process at that time.
  • If you prefer to review and modify the list of merge operations from a .csv file.
  • If you are about to start the merge operations, but you want to have a simple source and target account record of what accounts you have merged.

To export and import lists of merge operations:

  • Create a List of Accounts
  • Export a List of Accounts
  • Import a List of Accounts


Exchange Server 2003 - Identify Duplicate Accounts

Step 1: Identify Duplicate Accounts

There are three ways to identify duplicate accounts in Active Directory. Active Directory Account Cleanup Wizard searches for all duplicate accounts. You can manually enter the duplicate accounts that you want to merge. You can also create a file that contains a list of accounts to be merged, and then import that list into the wizard.

Note Because it can take a considerable amount of time to identify, review, and merge duplicate accounts in Active Directory, you may want to use a two-step process. The first step is to use the wizard to identify duplicate accounts and then export that list to a .csv file. Then, at a later time, you can import that list of merge operations for further review and run the merge process.

To identify duplicate accounts:

  • Use the Wizard to Search for Duplicate Accounts
  • Select Duplicate Accounts Manually

Related Topics

Export and Import Lists of Accounts


Exchange Server 2003 - Add a Merge Operation

Add a Merge Operation

You can add a merge operation to a list of existing merge operations.

To add a merge operation to an existing list of merge operations:

  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This will display a list of merge operations.

  2. On the Review Merging Accounts screen, click Add.
  3. In the Select Merging Accounts dialog box, select the objects that you want to merge.
    • Under source account, click Browse. In Look in, select the domain that contains the object you want, and then click the object you want to merge with the target object. The source object will not exist after the merge.
    • Under target account, click Browse. In Look in, select the domain that contains the object you want, and then click the object you want to remain after the merge operation is complete.

    Tip Another way to select accounts is to type the account name in Name box, and then click OK. This displays a list of accounts similar to what you typed in Name.

  4. Repeat step 3 until all of the merge operations you want to add to the list appear under Merging Accounts.

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Create a List of Accounts

Create a List of Accounts

You can manually create a list of merge operations for Active Directory Account Cleanup Wizard to perform. You can create a list of merge operations in Notepad or any other application that uses the .csv format.

Note You need to create a list of merge operations manually only if you have a particular reason to do so; for example, you might want to create a list of merge operations manually if you already have a list of accounts to be merged in the correct .csv format for the wizard.

To create a list of accounts to be merged in Notepad:

  1. Open Notepad.
  2. In a blank Notepad document, type Source,Target on the first line.

  3. On the following lines, type the source and target accounts for the merge operations you want to add:

    <Source account location and name>,<Target account location and name

    The following is an example of what a .csv file of a merge operation looks like in Notepad. The merge operation involves a disabled account for Martha Dale and an enabled account for Martha L. Dale:

    Source,Target

    server1.east.contoso.com/Users/Martha Dale, server1.east.contoso.com/Users/Martha L. Dale

Note A list of accounts exported from the wizard includes source and target account locations, in addition to the following attributes: display name, alias, e-mail address, title, department, and telephone.

These additional attributes are not needed in an import file and are used to help you review an exported list of accounts outside of the wizard.

Related Topics

Import a List of Accounts Review and Modify Merge Operations Export and Import Lists of Accounts Merge Accounts


Exchange Server 2003 - Remove a Merge Operation

Remove a Merge Operation

You can remove a merge operation from the merge operations list if you do not want it to be performed. You can remove it using Active Directory Account Cleanup Wizard, or you can remove it from the .csv file that you exported.

To remove a merge operation:

  • Remove a Merge Operation Using the Wizard
  • Remove a Merge Operation From a .CSV File


Exchange Server 2003 - Remove a Merge Operation From a .CSV File

Remove a Merge Operation From a .CSV File

If you do not want a merge operation to be performed, you can remove it from the .csv file that you previously exported.

To remove a merge operations from a .csv file:

  1. Open any application used to display .csv files (for example, Microsoft Excel).
  2. Open the .csv file that you want to review.

    3. Note You can open a list of merge operations in a .csv file only after exporting a list of accounts from Active Directory Account Cleanup Wizard.

  3. Select the merge operation you want to remove, and then use the application in which you created the .csv file to delete the merge operation; for example, if you are using Microsoft Excel, select the merge operation, and then click Delete.


Exchange Server 2003 - Remove a Merge Operation Using the Wizard

Remove a Merge Operation Using the Wizard

If you do not want a merge operation to be performed, you can remove it from the list of merge operations using Active Directory Account Cleanup Wizard.

To remove a merge operation using the wizard:
  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This file displays a list of merge operations.

  2. On the Review Merging Accounts screen, select the operation that you want to remove.

    Caution To ensure that you are removing the correct operation from the list, double-click the merge operation, and then view the details of the merge to confirm the details of the object you are deleting.

  3. Click Remove.


Exchange Server 2003 - Import a List of Accounts

Import a List of Accounts

After you export or create a list of merge operations with Active Directory Account Cleanup Wizard, you can import that list back to the wizard at a later time. Importing the list back into the wizard allows you to review and modify merge operations before running the merge process.

To import a list of accounts:

  1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click Active Directory Cleanup Wizard.
  2. On the Welcome to the Active Directory Account Cleanup Wizard screen, click Next.
  3. On the Identifying Merging Accounts screen, click to clear the Search Entire Directory or Selected Containers check box.
  4. On the Identify Merging Accounts screen, select Import A List Of Merging Accounts, click Browse, and then select the .csv file that you used to save your list of merge operations.
  5. To import the .csv file, click Open, and then click Next. The list of merge operations from the .csv file displays on the Review Merging Accounts screen.

Related Topics

Export and Import Lists of Accounts Review and Modify Merge Operations Merge Accounts


Exchange Server 2003 - Review a Merge Operation

Review a Merge Operation

To ensure you are merging the appropriate Active Directory objects, you should review the list of merge operations that you want Active Directory Account Cleanup Wizard to perform.

By reviewing the details of merge operations, you can determine if you want to remove a merge operation. You can review and modify merge operations in Active Directory Account Cleanup Wizard or from the .csv file that you exported.

Caution You should review and modify merge operations before you start the actual merging process in Active Directory. Once the merge process is complete, you cannot undo the operation.

To review a merge operation:

  • Review a Merge Operation Using the Wizard
  • Review a Merge Operation in a .CSV File

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Review a Merge Operation Using the Wizard

Review a Merge Operation Using the Wizard

To review a merge operation using the wizard:

  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This file displays a list of merge operations.

  2. On the Review Merging Accounts screen, double-click a merge operation.
  3. In the Account Information dialog box, review the details about the accounts that have been paired together:
    • Under Source account, you can view the icon for the type of account, account location, display name, logon ID, e-mail address, title, department, or telephone to ensure you are selecting the correct account to merge into the target account.
    • Under Target account, you can view the icon for the type of account, account location, display name, logon ID, e-mail address, title, department, or telephone to ensure you are selecting the account you want to retain when the merge is complete.

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Review a Merge Operation in a .CSV File

Review a Merge Operation in a .CSV File

To review a merge operation in a .csv file:

  1. Open any application used to display .csv files (for example, Microsoft Excel).
  2. Open the .csv file that you want to review.

    3. Note You can open a list of merge operations in a .csv file only after exporting a list of accounts from Active Directory Account Cleanup Wizard.

  3. Review the attributes of the accounts that have been paired together in the .csv file. Ensure you have selected the appropriate merge operations:
    • For each source account, review the account location, display name, alias, e-mail address, title, department, or telephone number to ensure you are selecting the correct account to merge into the target account.
    • For each target account, review the account location, display name, alias, e-mail address, title, department, or telephone number to ensure you are selecting the account you want to retain after the merge is complete.

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Review and Modify Merge Operations

Step 2: Review and Modify Merge Operations

To ensure you are merging the appropriate Active Directory objects, you should review, and if necessary, modify the list of merge operations that the wizard is ready to perform. You can review and modify merge operations from the wizard or from the .csv file that you exported.

Caution You should review and modify merge operations before you start the merge process in Active Directory. Once the merge process is complete, you can not undo the operation.

The amount of time it takes to review and modify merge operations depends on the size and number of duplicate objects in Active Directory. It may take a significant amount of time to review and modify the merge operations. You may want to export a list of merge operations that the wizard has found and then, at a later time, run the merge process.

To review and modify merge operations:

  • Review a Merge Operation
  • Add a Merge Operation
  • Remove a Merge Operation

Related Topics

Export and Import Lists of Accounts


Exchange Server 2003 - Export a List of Accounts

Export a List of Accounts

You can export a list of merge operations (pairs of duplicate accounts) from Active Directory Account Cleanup Wizard. This allows you to review and modify the list of merge operations outside the wizard. You can restart the wizard, import the modified list of merge operations, and continue with the merge process at any time.

To export a list of accounts:

  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This file displays a list of merge operations.

  2. On the Review Merging Accounts screen, click Next.

  3. On the Begin Merging Accounts screen, select Export the list of merge accounts to a file, click Browse, and then select a location and file name for the .csv file that contains a list of accounts to be merged.

    This file contains the source accounts, target accounts, and attributes of each type of account.

    Important This list of accounts is exported, and later imported, to merge duplicate account, to provide you with information about the accounts being merged in the .csv file format. Changing any of the attributes does not affect the merge, because you import only the source and target information back into the wizard.

  4. To export the merge operations to the specified file, click Save, and then click Next.

Related Topics

Export and Import Lists of Accounts Review and Modify Merge Operations Merge Accounts


Exchange Server 2003 - Select Duplicate Accounts Manually

Select Duplicate Accounts Manually

If you know which accounts you want to merge, you can manually select the accounts you want to merge instead of using Active Directory Account Cleanup Wizard.

Important When you select accounts to be merged, be aware of the merge operation restrictions involved when you merge accounts in Active Directory.

To select duplicate accounts manually:

  1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click Active Directory Cleanup Wizard.
  2. On the Welcome to the Active Directory Account Cleanup Wizard screen, click Next.
  3. On the Identifying Merging Accounts screen, click to clear the Search Entire Directory Or Selected Containers check box, and then click Next.
  4. On the Review Merging Operations screen, click Add.
  5. In the Select Merging Accounts dialog box, select the objects that you want to merge.
    • Under Source account, click Browse to locate the object you want to merge into the target object. The source object will not exist after the merge.
    • Under Target account, click Browse to locate the object you want to retain after the merge is complete.
  6. Repeat steps 4 and 5 until all of the merge operations you are adding to the list appear under Merging Accounts.

Related Topics

Merge Accounts


Exchange Server 2003 - Merge Accounts

Step 4: Merge Accounts

After Active Directory Account Cleanup Wizard merges duplicate accounts, you cannot undo the merge operation.

Caution Familiarize yourself with the results of merging Active Directory objects before starting the merge process to ensure that you understand how object attributes are merged and deleted.

To merge accounts in Active Directory:

  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This file displays a list of merge operations.

  2. Click Next.
  3. On the Begin Merging Accounts screen, click Begin the merge process now.
  4. If you are sure you want to perform the merge operations at this time, in the warning box, click Yes.
  5. If you want to export a list of accounts, click Export merge operation to a file, click Browse, and then select a file name and a location for the file.

  6. To begin the merge process, click Next. To stop the merge process, click Cancel.

Important If you use Connection Agreements in your Exchange environment, you must reconfigure your Connection Agreements after running the wizard. This ensures that Active Directory Connector (ADC) will properly replicate objects and attributes to the new locations of objects that have been merged.

Related Topics

Export and Import Lists of Accounts View Merge Operation Results


Exchange Server 2003 - Use the Wizard to Search for Duplicate Accounts

Use the Wizard to Search for Duplicate Accounts

Active Directory Account Cleanup Wizard automatically searches your entire forest for duplicate accounts. If you do not want the wizard to search your entire forest for duplicate accounts, you can specify the containers and sub-containers in which you want the wizard to search.

Note The amount of time it takes to search for duplicate accounts depends on the size and number of duplicate accounts in Active Directory.

To search for duplicate accounts using the wizard:

  1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click Active Directory Cleanup Wizard.
  2. On the Welcome to the Active Directory Account Cleanup Wizard screen, click Next.

  3. On the Identify Merging Accounts screen, select the containers and sub-containers that you want to search by doing one of the following:

    • To search all the containers and sub-containers in your forest, proceed to step 4.

      • -Or-

    • Click Add, navigate to an Active Directory container that you want to include in your search, and then click OK.

      • Note The container you select will display under Container. The check box under Include Subcontainers is selected by default. This option causes all sub-containers under that object to be searched. If you do not want to include subfolders in your Active Directory search, click to clear the check box next to the container you selected.

      Repeat the procedures until you have selected all the containers and sub-containers that you want to search.

  4. If you only want to base the search for duplicate accounts on objects that have been created by Active Directory Connector (ADC), ensure that the Search based on Exchange mailboxes only check box is selected. (This check box is selected by default.)

    Note You can extend the search for duplicate accounts in Active Directory. To include objects that have been created by ADC, mail connectors (for example, Microsoft Exchange Connector for Lotus Notes), and other tools, click to clear the Search based on Exchange mailboxes only check box.

  5. To begin the search, click Next. To stop the search, click Cancel.

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - View Merge Operation Results

Step 5: View Merge Operation Results

You can view the results of the merge process to determine whether it completed successfully. You can view the results from Active Directory Account Cleanup Wizard or in a log file named ADClean.log, which you can open in a text application such as Notepad. The processes the wizard completes display in a cumulative log format.

You can delete portions of the log that you no longer need from the ADClean.log file. You can also print the log file for further review.

To view the account merge results:

  • View Merge Operation Results Using the Wizard
  • View Merge Operation Results in the ADClean.log File


Exchange Server 2003 - View Merge Operation Results in the ADClean.log File

View Merge Operation Results in the ADClean.log File

You can view the results of the merge process in a log file named ADClean.log, which you open in a text application such as Notepad. The file contains a cumulative log of the processes completed by the wizard.

You can delete portions of the log that you no longer need. You can also print the log file for further review.

To view the results in the ADClean.log file:

  1. Merge accounts using Active Directory Account Cleanup Wizard.
  2. Start Notepad or any text application that can be used to view log files.
  3. Open the ADClean.log file in the text application you are using. The log file is created in the directory from which you run ADClean (by default, this is the Exchsrvr/BIN directory).

    For example, if you are using Notepad, from the File menu, click Open, and then browse to the location of ADClean.log.

  4. Use the information in the ADClean.log file to interpret the merge process.

    To view an example of a log file:

----------------------------------------------------------------------------------------------
STATE:		ADClean started 12/22/2003 9:10:07 AM
STATE:		Search started 12/22/2003 9:10:12 AM
        Searching Entire Directory for target accounts...
        1 account merge was found during the search.
STATE:		Search finished 12/22/2003 9:10:20 AM

STATE:		Export started 12/22/2003 9:10:44 AM
        Account merges written to D:\exchsrvr\bin\merge.csv.
STATE:		Export finished 12/22/2003 9:10:44 AM

***********************************************
SUMMARY
Account merges written to D:\exchsrvr\bin\merge.csv.
***********************************************
STATE:		ADClean finished 12/22/2003 9:10:51 AM

----------------------------------------------------------------------------------------------
STATE:		ADClean started 12/22/2003 9:10:52 AM
STATE:		Import started 12/22/2003 9:11:00 AM
        1 account merges were successfully imported.
STATE:		Import finished 12/22/2003 9:11:01 AM

STATE:		Merge started 12/22/2003 9:11:06 AM
        Sucessfully merged MachineName.DomainName.Contoso.com/east/dcambel into MachineName.DomainName.Contoso.com/east/David Cambel.
STATE:		Merge finished 12/22/2003 9:11:17 AM

***********************************************
SUMMARY
Account Merges Imported: 1
Total account merges to perform: 1
Total account merges completed: 1
Merge started 12/22/2003 9:11:06 AM
Merge finished 12/22/2003 9:11:17 AM
***********************************************
STATE:		ADClean finished 12/22/2003 9:11:38 AM


Exchange Server 2003 - View Merge Operation Results Using the Wizard

View Merge Operation Results Using the Wizard

You can view the results of the merge process from Active Directory Account Cleanup Wizard.

Tip If you want to delete portions of the log that you no longer need, or if you want to print the log file for further review, you must view the merge operations results in the ADClean.log file.

To view the account merge results from the wizard:

  1. Merge accounts using Active Directory Account Cleanup Wizard.
  2. On the Account Merge Results screen, use the information under Account Merge Results to interpret the merge operation process.

    To view an example of a log file:

----------------------------------------------------------------------------------------------
STATE:		ADClean started 12/22/2003 9:10:07 AM
STATE:		Search started 12/22/2003 9:10:12 AM
        Searching Entire Directory for target accounts...
        1 account merge was found during the search.
STATE:		Search finished 12/22/2003 9:10:20 AM

STATE:		Export started 12/22/2003 9:10:44 AM
        Account merges written to D:\exchsrvr\bin\merge.csv.
STATE:		Export finished 12/22/2003 9:10:44 AM

***********************************************
SUMMARY
Account merges written to D:\exchsrvr\bin\merge.csv.
***********************************************
STATE:		ADClean finished 12/22/2003 9:10:51 AM

----------------------------------------------------------------------------------------------
STATE:		ADClean started 12/22/2003 9:10:52 AM
STATE:		Import started 12/22/2003 9:11:00 AM
        1 account merges were successfully imported.
STATE:		Import finished 12/22/2003 9:11:01 AM

STATE:		Merge started 12/22/2003 9:11:06 AM
        Sucessfully merged MachineName.DomainName.Contoso.com/east/dcambel into MachineName.DomainName.Contoso.com/east/David Cambel.
STATE:		Merge finished 12/22/2003 9:11:17 AM

***********************************************
SUMMARY
Account Merges Imported: 1
Total account merges to perform: 1
Total account merges completed: 1
Merge started 12/22/2003 9:11:06 AM
Merge finished 12/22/2003 9:11:17 AM
***********************************************
STATE:		ADClean finished 12/22/2003 9:11:38 AM


Exchange Server 2003 - Managing Exchange in Mixed Mode

Managing Exchange in Mixed Mode

If you run your Exchange organization in mixed mode, Exchange 2003 can interoperate with Exchange 4.x and 5.x servers.

To manage a mixed mode organization, refer to the following sections:

  • Determine if an Exchange Organization is in Mixed or Native mode
  • Switch an Exchange Organization from Mixed to Native Mode
  • Manage Exchange 4.x and 5.x servers
  • Manage Users with Mailboxes on Previous Versions of Exchange
  • Merge Duplicate Accounts in Active Directory

Answers to Frequently Asked Questions

What is the difference between operating my Exchange organization in mixed mode versus native mode?

You can operate your Exchange 2003 organization in mixed or native mode. Native mode offers full Exchange 2003 functionality, while mixed mode offers interoperability between Exchange 2003 and Exchange 5.x or earlier. When you install Exchange 2003, your Exchange 2003 organization runs in mixed mode by default.

This default setting ensures future interoperability with previous versions of Exchange (for example, the installation of an Exchange 5.5 server at a later time), even if no Exchange 5.x servers exist at the time of installation. The concept of mixed-mode and native-mode Exchange organizations is similar to the idea of mixed-mode and native-mode domains in Active Directory. In Exchange 2003, native and mixed mode can be selected only at an organizational level.

Do I manage my Exchange 4.x and 5.x mailboxes from Exchange Server Administrator or from Microsoft Windows 2000 Active Directory Users and Computers?

You can manage users with mailboxes on Exchange 4.x and 5.x servers from the Exchange 5.5 Administrator program or from Windows 2000 Active Directory Users and Computers.

Do I manage my Exchange 4.x and 5.x servers from Exchange Server Administrator or from System Manager?

Although the configuration of an Exchange 5.5 organization is synchronized with Windows 2000 Active Directory using a Configuration Connection Agreement, you must administer all 4.x and 5.x servers using Exchange Server Administrator.

What is the difference between public folder or recipient Connection Agreements and Configuration Connection Agreements?

Public folder and recipient Connection Agreements are used to synchronize Active Directory objects between Windows Active Directory and the Exchange 5.5 directory. Configuration Connection Agreements are automatically created to synchronize configuration information between Exchange 2003 servers and Exchange 5.5 sites.


Exchange Server 2003 - Determine if an Exchange Organization is in Mixed or Native Mode

Determine if an Exchange Organization is in Mixed or Native Mode

When administering an Exchange organization, it is important to determine which mode the organization is in. This is because of the significant differences between operating in mixed and native mode.

To determine the mode of an existing organization:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If you have more than one Exchange organization, in the console tree, expand the tree to expose the organization for which you want to determine the mode.
  3. In the console pane, right-click the organization for which you want to determine the mode, and then click Properties. In Operations mode, the operating mode of the organization displays.

    4. Important If your organization is in native mode, you cannot change it back to mixed mode or install earlier versions of Exchange.


Exchange Server 2003 - Manage Exchange 4.

Manage Exchange 4.x and 5.x servers.

Although the configuration of an Exchange 5.5 organization is synchronized with Windows 2000 Active Directory using a Configuration Connection Agreement, you must administer all 4.x and 5.x servers using Exchange Server Administrator. These tasks include managing queues, connectors, address book views, monitors, and so on.

Note You must use System Manager to manage computers running Exchange 2003.

To manage Exchange 4.x and 5.x servers:

  1. Open Exchange Server Administrator.
  2. In Exchange Administrator, configure the Exchange settings you need to manage.

    Note For more information on managing 4.x and 5.x servers, see the Microsoft Exchange Server 4.x or 5.x documentation.

    3. Get latest Exchange content at http://www.microsoft.com/exchange/library.


Exchange Server 2003 - Manage Users with Mailboxes on Previous Versions of Exchange

Manage Users with Mailboxes on Previous Versions of Exchange

You can use Exchange Server Administrator or Windows Active Directory Users and Computers to manage users with mailboxes on Exchange 4.x or 5.x servers. Exchange 2003 Setup adds Exchange-related property tabs to allow administrators to manage the same mailbox attributes (for example, e-mail addresses, mailbox size limitations, and so on), that can be managed using Exchange Server Administrator. The advantage of managing them from Active Directory Users and Computers is that you can perform user management from one application.

You can also manage users with mailboxes on Exchange 4.x or 5.x servers from Windows servers that do not have Exchange 2003 installed. More:

Active Directory Connector Setup adds Exchange-related property tabs to the Active Directory Users and Computers snap-in. These Exchange-related property tabs allow administrators to manage the same mailbox attributes (for example, e-mail addresses, mailbox size limitations, and so on), that can be managed by using Exchange Server Administrator.

Note You can manage Exchange 5.5 recipients from Exchange 2003 only if ADC is configured to replicate the recipients between Active Directory and the Exchange 5.5 directory.

Note Even though e-mail recipients are administered from Active Directory, you must still manage the Exchange 5.5 environment from Exchange Server Administrator. This includes the management of queues, connectors, address book views, monitors, and so on.

To manage users with mailboxes on Exchange 4.x or 5.x servers:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the tree, and then select the container that includes the user you want to manage.
  3. In the details pane, double-click the object you want to manage.
  4. To manage the Exchange 4.x and 5.x objects, click the Exchange-related property tabs. The Exchange-related property tabs are Exchange General, E-mail Addresses, Exchange Advanced, and Exchange Features.


Exchange Server 2003 - Merge Duplicate Accounts in Active Directory

Merge Duplicate Accounts in Active Directory

Removing duplicate accounts in Active Directory can help improve the performance of your Exchange servers. Duplicate accounts can be created as a result of multiple directories being upgraded or migrating to Active Directory. Use Active Directory Account Cleanup Wizard to search and merge duplicate accounts in Active Directory.

To merge duplicate accounts in Active Directory:

  1. Identify Duplicate Accounts.
  2. Review and Modify Merge Operations.
  3. Merge Accounts.
  4. View Merge Operation Results.

Note You should run Active Directory Account Cleanup Wizard at regular intervals when using deployment scenarios that include upgrading and migrating multiple directories to Active Directory.


Exchange Server 2003 - Switch an Exchange Organization from Mixed to Native Mode

Switch an Exchange Organization from Mixed to Native Mode

After upgrading an existing organization to Exchange 2003 or creating a new Exchange organization, if you are certain you will not need to install an Exchange 5.5 server or connector, you can switch your organization to native mode.

To switch an Exchange organization from mixed to native mode:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Expand the tree to expose the organization that you want to switch to native mode.
  3. Right-click the organization, and then click Properties.

    Important If your Exchange organization is in native mode, you cannot change it back to mixed mode or install earlier versions of Exchange.

  4. In Change Operations mode, click Change Mode. Click Yes if you are sure that you want to permanently switch this organization's mode to native mode.
  5. Reboot the Exchange server. This will restart all services on the computer, ensuring all native mode features will be enabled.